Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1688239 - geo-rep session creation fails with IPV6 [NEEDINFO]
Summary: geo-rep session creation fails with IPV6
Keywords:
Status: NEW
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhhi
Version: rhhiv-1.6
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: ---
Assignee: Sahina Bose
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On: 1688231 1695436 1688833
Blocks: RHHI-V-1-6-Release-Notes
TreeView+ depends on / blocked
 
Reported: 2019-03-13 11:49 UTC by SATHEESARAN
Modified: 2019-04-11 07:58 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
The gverify.sh script is used during geo-replication to verify that secondary volumes can be mounted before data is synchronized. When IPv6 is used, the script fails, because it does not use the --xlator-option=transport.address-family=inet6 mount option as part of its checks. As a result, geo-replication cannot currently be used with IPv6 addresses.
Clone Of: 1688231
Environment:
Last Closed:
Target Upstream Version:
sabose: needinfo? (avishwan)


Attachments (Terms of Use)

Description SATHEESARAN 2019-03-13 11:49:58 UTC
Description of problem:
-----------------------
This issue is seen with the RHHI-V usecase. VM images are stored in the gluster volumes and geo-replicated to the secondary site, for DR use case.

When IPv6 is used, the additional mount option is required --xlator-option=transport.address-family=inet6". But when geo-rep check for slave space with gverify.sh, these mount options are not considered and it fails to mount either master or slave volume

Version-Release number of selected component (if applicable):
--------------------------------------------------------------
RHGS 3.4.4 ( glusterfs-3.12.2-47 )

How reproducible:
-----------------
Always

Steps to Reproduce:
-------------------
1. Create geo-rep session from the master to slave

Actual results:
--------------
Creation of geo-rep session fails at gverify.sh

Expected results:
-----------------
Creation of geo-rep session should be successful

Comment 1 SATHEESARAN 2019-03-19 09:53:10 UTC
This issue will be marked down as a limitation with IPV6 support, removing the release_blocker flag set on this bug

Comment 2 Yaniv Kaul 2019-03-27 11:29:38 UTC
I thought we pushed this functionality into batch update 4?

Comment 3 Sahina Bose 2019-03-27 11:49:15 UTC
(In reply to Yaniv Kaul from comment #2)
> I thought we pushed this functionality into batch update 4?

No, it did not make it to 3.4.4, the RHGS bug is moved to 3.5

Comment 5 Sahina Bose 2019-03-29 13:47:31 UTC
Redirecting needinfo to SME


Note You need to log in before you can comment on or make changes to this bug.